Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020728
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-06-12 09:522012-09-26 17:20
ReporterioritzCiaView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0MP15
StatusclosedFix in branchFixed in SCM revision7e0c66407ed1
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS VersionUbuntu 10.04Database version8.4Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomarvintm
Web browserGoogle Chrome
ModulesUser Interface Application
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020728: Fic breaks more than it should when referential integrity is broken.

DescriptionWhen a field in a tab has a non-existent search type foreign key, as it is normal it's identifier cannot be retrieved and we see the uuid. The problem is that other fields in the tab that have their foreign key well, also show the uuid.
Steps To ReproduceIn any tab with a search type foreign key field, try to insert a line with a non existing foreign key.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0052242)
AugustoMauch (developer)
2012-09-19 17:39

Test plan:
- Create a new Sales Order
- In the database, remove the foreign key constraint of the price list column
- In the database, update the recently created order and set a random id to the price list column.
- In the ERP, close the Sales Order window and open it again. The only field that should display the random ID should be the price list
(0052243)
hgbot (developer)
2012-09-19 17:50

Repository: erp/devel/pi
Changeset: 7e0c66407ed1731c03dc1c007f2b2e4a0014c102
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Sep 19 17:49:12 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7e0c66407ed1731c03dc1c007f2b2e4a0014c102 [^]

Fixes issue 20728: IDs shown only for fields that without referencial integrity

Prior to this fix, if one foreign key field contained and non existent id, all foreign key fields showed the id instead of the displayed column of the referenced field. Now, only the fields that contain nonexistent id will show the id.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
---
(0052790)
hudsonbot (developer)
2012-09-26 17:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b780e90c6452 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-12 09:52 ioritzCia New Issue
2012-06-12 09:52 ioritzCia Assigned To => alostale
2012-06-12 09:52 ioritzCia Web browser => Google Chrome
2012-06-12 09:52 ioritzCia Modules => User Interface Application
2012-09-19 17:36 AugustoMauch Assigned To alostale => AugustoMauch
2012-09-19 17:36 AugustoMauch Closed by => marvintm
2012-09-19 17:36 AugustoMauch Web browser Google Chrome => Google Chrome
2012-09-19 17:39 AugustoMauch Note Added: 0052242
2012-09-19 17:39 AugustoMauch Issue Monitored: marvintm
2012-09-19 17:50 hgbot Checkin
2012-09-19 17:50 hgbot Note Added: 0052243
2012-09-19 17:50 hgbot Status new => resolved
2012-09-19 17:50 hgbot Resolution open => fixed
2012-09-19 17:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7e0c66407ed1731c03dc1c007f2b2e4a0014c102 [^]
2012-09-25 11:13 marvintm Status resolved => closed
2012-09-25 11:13 marvintm Fixed in Version => 3.0MP15
2012-09-26 17:20 hudsonbot Checkin
2012-09-26 17:20 hudsonbot Note Added: 0052790


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker